| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
DataPointSetDisplayProp Class Reference
General

Interface for DataPointSet Displays. More...

`#include <dpsdispmgr.h>`

## Public Member Functions
| DataPointSetDisplayProp (const BufferStringSet &nms, const TypeSet< OD::Color > &cols)
| DataPointSetDisplayProp (const ColTab::Sequence &cs, const ColTab::MapperSetup &cm, int id)
virtual | ~DataPointSetDisplayProp ()
virtual DataPointSetDisplayProp * | clone () const
const ColTab::MapperSetup & | colMapperSetUp () const
const ColTab::Sequence & | colSequence () const
int | dpsColID () const
virtual OD::Color | getColor (float val) const
const TypeSet< OD::Color > & | selGrpColors () const
const BufferStringSet & | selGrpNames () const
bool | showSelected () const

## Protected Attributes
ColTab::Sequence | coltab_
ColTab::MapperSetup | coltabmappersu_
int | dpscolid_
TypeSet< OD::Color > | selgrpcols_
BufferStringSet | selgrpnms_
bool | showsel_

## Detailed Description

Interface for DataPointSet Displays.

Object must be locked before accessing any of the other functions, and should be unlocked when done.

The datapointset can be displayed in a number of viewers.

DispID not to be confused with Visid. It is used to keep an account for the DataPointSetDisplayMgr only.

<>

## Constructor & Destructor Documentation

## ◆ DataPointSetDisplayProp() [1/2]

DataPointSetDisplayProp::DataPointSetDisplayProp | ( | const ColTab::Sequence & | cs,
|  | const ColTab::MapperSetup & | cm,
|  | int | id )

## ◆ DataPointSetDisplayProp() [2/2]

DataPointSetDisplayProp::DataPointSetDisplayProp | ( | const BufferStringSet & | nms,
|  | const TypeSet< OD::Color > & | cols )

## ◆ ~DataPointSetDisplayProp()

virtual DataPointSetDisplayProp::~DataPointSetDisplayProp | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

virtual DataPointSetDisplayProp * DataPointSetDisplayProp::clone | ( |  | ) | const
| virtual

## ◆ colMapperSetUp()

const ColTab::MapperSetup & DataPointSetDisplayProp::colMapperSetUp | ( |  | ) | const
| inline

## ◆ colSequence()

const ColTab::Sequence & DataPointSetDisplayProp::colSequence | ( |  | ) | const
| inline

## ◆ dpsColID()

int DataPointSetDisplayProp::dpsColID | ( |  | ) | const
| inline

## ◆ getColor()

virtual OD::Color DataPointSetDisplayProp::getColor | ( | float | val | ) | const
| virtual

## ◆ selGrpColors()

const TypeSet< OD::Color > & DataPointSetDisplayProp::selGrpColors | ( |  | ) | const
| inline

## ◆ selGrpNames()

const BufferStringSet & DataPointSetDisplayProp::selGrpNames | ( |  | ) | const
| inline

## ◆ showSelected()

bool DataPointSetDisplayProp::showSelected | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ coltab_

ColTab::Sequence DataPointSetDisplayProp::coltab_
| protected

## ◆ coltabmappersu_

ColTab::MapperSetup DataPointSetDisplayProp::coltabmappersu_
| protected

## ◆ dpscolid_

int DataPointSetDisplayProp::dpscolid_
| protected

## ◆ selgrpcols_

TypeSet<OD::Color> DataPointSetDisplayProp::selgrpcols_
| protected

## ◆ selgrpnms_

BufferStringSet DataPointSetDisplayProp::selgrpnms_
| protected

## ◆ showsel_

bool DataPointSetDisplayProp::showsel_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025